InstallerVariableEvent (install4j API)
Description: declaration: package: com.install4j.api.events, class: InstallerVariableEvent

Package com.install4j.api.events

# Class InstallerVariableEvent

java.lang.Object
java.util.EventObject
com.install4j.api.events.InstallerEvent
com.install4j.api.events.InstallerVariableEvent

All Implemented Interfaces:
  `Serializable`

public class InstallerVariableEvent extends InstallerEvent
The event object that is passed to installer event listeners for the variable change event type. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the changed variable. The event type and `EventType.VARIABLE_CHANGED` produces this event object when fired.

See Also:
  - `InstallerEventListener`
  - `Context.addInstallerEventListener(InstallerEventListener)`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallerVariableEvent(Object source, Context context, String variableName)`
  The constructor is called by the framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getVariableName()`
  Get the name of the variable that was changed.
  `String`
  `getVerbose()`
  Return a verbose description of this event.
  `String`
  `toString()`

  ### Methods inherited from class com.install4j.api.events.InstallerEvent

  `getContext, getType, setContext, wasSuccessful`

  ### Methods inherited from class java.util.EventObject

  `getSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InstallerVariableEvent

    public InstallerVariableEvent(Object source, Context context, String variableName)
    The constructor is called by the framework.
    Parameters:
      `source` - the event source
      `context` - the context
      `variableName` - the name of the changed variable

- ## Method Details

  - ### getVariableName

    public String getVariableName()
    Get the name of the variable that was changed.
    Returns:
      the name of the variable

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `InstallerEvent`

  - ### getVerbose

    public String getVerbose()
    Description copied from class: `InstallerEvent`
    Return a verbose description of this event.
    Overrides:
      `getVerbose` in class `InstallerEvent`
    Returns:
      the description